%
% anyremote configuration file for Boxee (http://www.boxee.tv/)
%

% STATUS unknown
% XTEST no
% SOUND app
% ENV no
% ALL_IN_ONE 

GuiAppName=Boxee
GuiAppBinary=/opt/boxee/run-boxee-desktop
GuiAppRun=echo 'A=`ps -ef|grep Boxee|grep -v grep`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi'|sh -s
GuiAppIcon=boxee.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=Boxee is a free, open-source software platform that integrates personal media with Internet media along with social networking.

[Protocol]=Server

BOXEE_RUN=\
	Exec(P=`ps -ef|grep Boxee|grep -v grep|grep -v edit|grep -v anyremote`; if [ "x$P" = "x" ]; then /opt/boxee/run-boxee-desktop& fi);

BOXEE_RUN_STOP=\
	Exec(P=`ps -ef|grep Boxee|grep -v grep|grep -v edit|grep -v anyremote`; if [ "x$P" = "x" ]; then /opt/boxee/run-boxee-desktop& else pkill Boxee; fi);

% redefine joystick keys
UP    =Emulate(key,Up);
DOWN  =Emulate(key,Down);
LEFT  =Emulate(key,Left);
RIGHT =Emulate(key,Right);
FIRE  =Emulate(key,Return);


(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);

(Connect)=\
	Set(icons,Boxee,1,vol_down,2,up,3,vol_up,4,left,5,play,6,right,7,no,8,down,9,stop,*,question,0,refresh,#,default);\
	Set(layout,default,keypad_only);\
	Macro(BOXEE_MENU);\
	Macro(BOXEE_RUN);

BOXEE_MENU=\
	Set(menu,replace,);\
	Macro(ALLIN1MENU)
	
Cancel=\
    Make(exit);

Back=Set(text,close);Macro(BOXEE_MENU)

1=Emulate(key,minus);
2=Emulate(key,Up);
3=Emulate(key,plus);

4=Emulate(key,Left);
5=Emulate(key,Return);
6=Emulate(key,Right);

7=Emulate(key,Escape)
8=Emulate(key,Down);
9=Emulate(key,X)

0=Emulate(key,H);
* *=Set(text,replace,Help, 1 Volume+\n2 Up\n3 Volume-\n4 Left\n5 OK\n6 Right\n7 Back\n8 Down\n9 Stop\n0 Home menu\n* * Show help\n* # Run/Quit);
* #=Macro(BOXEE_RUN_STOP)

[End]
